import { getNumberEditorTemplate, NumberEditor, agNumberEditorStyles } from '@genesislcap/grid-pro';
/**
 * @tagname %%prefix%%-number-editor
 */
export class ZeroNumberEditor extends NumberEditor {
}
/**
 * The Zero Number editor
 *
 * @public
 * @remarks
 * HTML Element: \<zero-number-editor\>
 */
export const zeroAgNumberEditor = ZeroNumberEditor.compose({
    baseName: 'number-editor',
    styles: agNumberEditorStyles,
    template: getNumberEditorTemplate('zero'),
});
